### php.java.bridge

# Class PhpProcedureProxy

- `java.lang.Object`

- `php.java.bridge.PhpProcedureProxy`

`public class PhpProcedureProxy`
`extends java.lang.Object`

This class creates a procedure proxy proxy which evaluates to a dynamic proxy in coerce(). If a user has supplied a type as the second argument to the closure() call, that type will be used for the proxy. Otherwise the proxy is generic.

## Method Summary

`java.lang.Object`

`getNewFromInterface(java.lang.Class iface)`
  Generate a new proxy for the given interface

`java.lang.Object`

`getProxy(java.lang.Class[] interfaces)`
  Generate a proxy.

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### getNewFromInterface

    public java.lang.Object getNewFromInterface(java.lang.Class iface)

> Generate a new proxy for the given interface

> Parameters:
>   `iface` - The interface that the generated proxy should implement.

> Returns:
>   The PhpProcedure.

### getProxy

    public java.lang.Object getProxy(java.lang.Class[] interfaces)

> Generate a proxy.

> Parameters:
>   `interfaces` - The list of interfaces that the generated proxy should implement.

> Returns:
>   The PhpProcedure.